/*********************************************************************************************************                                               
*                                            GKI library
*                             COPYRIGHT(c) 2019 Amped RF Technology (ART)
*                                        All Rights Reserved
*
* File    : GKI_uart.h
* Version : V1.0.0
* Brief   : GKI UART library
**********************************************************************************************************/

#ifndef __GKI_UART_H
#define __GKI_UART_H

#include "ach118x_uart.h"

void GKI_UartInit(UART_Typedef* UARTx,uint32_t baudrate);
void GKI_UartSendData(UART_Typedef* UARTx,uint8_t data);
uint8_t GKI_UartReceiveData(UART_Typedef* UARTx);
void GKI_UartSendString(UART_Typedef* UARTx,char *str);
void GKI_Printf(char *fmt, ...);
uint8_t GKI_UartRxDataReady(UART_Typedef* UARTx);

#endif //end __GKI_UART_H